directories
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = false;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
end_driver;

data

  var
    str1 : string;
    Cond : array[ 1..10 ] of boolean;
    str0 : string;
  end_var;

end_data;

instrument

  panel panel_1;
    gui
      owner = background;
      position = 120, 105, 800, 775;
      window
        type = normal;
        disable = zoom, maximize;
      end_window;
    end_gui;
    colors
      color = color_window;
    end_colors;

    procedure OnActivate();
    begin
    camera_1.SetCond( true );
    end_procedure;

  end_panel;

  switch switch_1;
    gui
      owner = panel_1;
      position = 490, 725, 55, 25;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    mode = text_button;
    true_text = 'Next';
    false_text = 'Next';
    receivers = camera_1;
  end_switch;

  image image_1;
    gui
      owner = panel_1;
      position = 705, 10, 71, 80;
    end_gui;
    file = 'cweb2.png';
  end_image;

  image image_1;
    gui
      owner = panel_1;
      position = 565, 720, 230, 30;
    end_gui;
    file = 'cw.png';
  end_image;

  image image_1;
    gui
      owner = panel_1;
      position = 5, 700, 80, 72;
    end_gui;
    file = 'mii.png';
  end_image;

  label label_1;
    gui
      owner = panel_1;
      position = 280, 20;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = 'Courier New (Central European)', 24, bold;
      text = 'Optical character';
      font = 'Courier New (Central European)', 24, bold;
      text = '    recognition';
    end_text_list;
  end_label;

  label label_2;
    gui
      owner = panel_1;
      position = 245, 750;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = font_caption;
      text = 'Serial:';
    end_text_list;
  end_label;

  label label_1;
    gui
      owner = panel_1;
      position = 215, 715;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    transparent = true;
    text_list
      font = font_caption;
      text = 'Camera ID:';
    end_text_list;
  end_label;

  image image_4;
    gui
      owner = panel_1;
      position = 0, 0, 185, 100;
    end_gui;
    file = 'vision.PNG';
  end_image;

  string_display string_display_3;
    activity
      period = 1;
    end_activity;
    gui
      owner = panel_1;
      position = 300, 745, 170, 24;
    end_gui;
    expression = str1;
    font = font_caption;
    justify = left;
    colors
      paper = lgray;
    end_colors;
  end_string_display;

  string_display string_display_2;
    activity
      period = 1;
    end_activity;
    gui
      owner = panel_1;
      position = 300, 710, 170, 24;
    end_gui;
    expression = str0;
    font = font_caption;
    justify = left;
    colors
      paper = lgray;
    end_colors;
  end_string_display;

  camera camera_1;
    const
      broj = 0;
    end_const;
    var
      cislo : real {init_value = 0.6};
    end_var;

    activity
      period = infinite;
    end_activity;
    gui
      owner = panel_1;
      position = 0, 100, 800, 600;
    end_gui;
    camera_type = image_file;
    camera_files = '1.jpg', '2.jpg', '3.jpg', '4.jpg', '5.jpg';
    exp_time = 0;
    max_exp_time = 8;
    frame_mode = on_activate;
    frame_rate = 25;
    scale_units = 'px';
    scale_units_long = 'pixely';
    image_processing
      init_data
        rectangular_region rect;
          x = 168.5;
          y = 388.5;
          width = 337;
          height = 497;
          angle = 0;
        end_rectangular_region;
        flag condition;
          value = false, false, false, true, true, true, true;
        end_flag;
        point tacka;
          x = 230;
          y = 48;
        end_point;
        rectangular_region rectangular_region_1;
          x = 380;
          y = -13;
          width = 368;
          height = 57;
          angle = 0;
        end_rectangular_region;
        coordinate_system coordinate_system_1;
          x = 100;
          y = 100;
          angle = 0;
        end_coordinate_system;
        frame Mlogo;
          path = 'Mlogo5.png';
          mask_path = '';
        end_frame;
        rectangular_region rectangular_region_2;
          x = 252;
          y = 96;
          width = 109.87347150035;
          height = 49.089920151312;
          angle = 0;
        end_rectangular_region;
        frame arialID;
          path = 'alphabet7.PNG';
          mask_path = '';
        end_frame;
        string string_3;
          value = '0123456789-ABCDEFGHIJKLMNOPQRSTUVWXYZ';
        end_string;
        rectangular_region rectangular_region_3;
          x = 1009;
          y = 668;
          width = 146;
          height = 162;
          angle = 0;
        end_rectangular_region;
      end_init_data;
      steps
        step pattern_match_monochrome;
          condition = true;
          input = source, rect, Mlogo, 10, 1, 0.79, 1, tacka, ;
          output = pattern_match_monochrome_7_number_1, pattern_match_monochrome_7_coordinate_system_2, pattern_match_monochrome_7_rectangle_3;
        end_step;
        step set_coordinate_system;
          condition = true;
          input = pattern_match_monochrome_7_coordinate_system_2;
          output = ;
        end_step;
        step optical_character_recognition;
          condition = true;
          input = source, rectangular_region_2, arialID, string_3, 0.7, '!', 50, 0, 0, 0.5, , , false, 0;
          output = outputstr;
        end_step;
        step optical_character_recognition;
          condition = true;
          input = source, rectangular_region_1, arialID, string_3, 0.6, '-', 10, 0, 0, 0.5, , , false, 0;
          output = outputstr1;
        end_step;
      end_steps;
      output_data
        string outputstr1;
          value = str1;
        end_string;
        coordinate_system coordinate_system_1;
        end_coordinate_system;
        string outputstr;
          value = str0;
        end_string;
      end_output_data;
    end_image_processing;
    avi
      file_size = 100;
      folder_history = day;
      file_history = hour;
    end_avi;
    editor_options
      clear_overlay_before_step = false;
      auto_repeat_start_delay = 100;
      auto_repeat_result_delay = 400;
      edit_color = lred;
      coord_color = lblue;
      splitters = 0, 0, 0, 0;
      window_maximized = true;
      window = 0, 0, 0, 0;
    end_editor_options;

    procedure OnActivate();
                            begin
    end_procedure;

    procedure SetCond( b : boolean );
                            var
                              i : longcard;
                            begin
                              for i = 1 to 23 do
                              Cond [i] = b;
                              end;
    end_procedure;

  end_camera;

end_instrument;

